JceOpenSSLPKCS8EncryptorBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.openssl.jcajce

## Class JceOpenSSLPKCS8EncryptorBuilder

- java.lang.Object
- - org.bouncycastle.openssl.jcajce.JceOpenSSLPKCS8EncryptorBuilder

-     public class JceOpenSSLPKCS8EncryptorBuilder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AES_128_CBC`
    `static java.lang.String` | `AES_192_CBC`
    `static java.lang.String` | `AES_256_CBC`
    `static java.lang.String` | `DES3_CBC`
    `static java.lang.String` | `PBE_SHA1_2DES`
    `static java.lang.String` | `PBE_SHA1_3DES`
    `static java.lang.String` | `PBE_SHA1_RC2_128`
    `static java.lang.String` | `PBE_SHA1_RC2_40`
    `static java.lang.String` | `PBE_SHA1_RC4_128`
    `static java.lang.String` | `PBE_SHA1_RC4_40`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JceOpenSSLPKCS8EncryptorBuilder(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputEncryptor` | `build()`
    `JceOpenSSLPKCS8EncryptorBuilder` | `setIterationCount(int iterationCount)`
    `JceOpenSSLPKCS8EncryptorBuilder` | `setPasssword(char[] password)`
    `JceOpenSSLPKCS8EncryptorBuilder` | `setProvider(java.security.Provider provider)`
    `JceOpenSSLPKCS8EncryptorBuilder` | `setProvider(java.lang.String providerName)`
    `JceOpenSSLPKCS8EncryptorBuilder` | `setRandom(java.security.SecureRandom random)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AES_128_CBC

          public static final java.lang.String AES_128_CBC

    - #### AES_192_CBC

          public static final java.lang.String AES_192_CBC

    - #### AES_256_CBC

          public static final java.lang.String AES_256_CBC

    - #### DES3_CBC

          public static final java.lang.String DES3_CBC

    - #### PBE_SHA1_RC4_128

          public static final java.lang.String PBE_SHA1_RC4_128

    - #### PBE_SHA1_RC4_40

          public static final java.lang.String PBE_SHA1_RC4_40

    - #### PBE_SHA1_3DES

          public static final java.lang.String PBE_SHA1_3DES

    - #### PBE_SHA1_2DES

          public static final java.lang.String PBE_SHA1_2DES

    - #### PBE_SHA1_RC2_128

          public static final java.lang.String PBE_SHA1_RC2_128

    - #### PBE_SHA1_RC2_40

          public static final java.lang.String PBE_SHA1_RC2_40

  - ### Constructor Detail

    - #### JceOpenSSLPKCS8EncryptorBuilder

          public JceOpenSSLPKCS8EncryptorBuilder(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)

  - ### Method Detail

    - #### setRandom

          public JceOpenSSLPKCS8EncryptorBuilder setRandom(java.security.SecureRandom random)

    - #### setPasssword

          public JceOpenSSLPKCS8EncryptorBuilder setPasssword(char[] password)

    - #### setIterationCount

          public JceOpenSSLPKCS8EncryptorBuilder setIterationCount(int iterationCount)

    - #### setProvider

          public JceOpenSSLPKCS8EncryptorBuilder setProvider(java.lang.String providerName)

    - #### setProvider

          public JceOpenSSLPKCS8EncryptorBuilder setProvider(java.security.Provider provider)

    - #### build

          public OutputEncryptor build()
                                throws OperatorCreationException

      Throws:
        `OperatorCreationException`